# $Revision: 1.23.2.6 $, $Date: 2007/06/04 08:09:08 $
#
# Conditional build:
%bcond_without	dist_kernel	# allow non-distribution kernel
%bcond_without	kernel		# don't build kernel modules
%bcond_without	up		# don't build UP module
%bcond_without	smp		# don't build SMP module
%bcond_without	userspace	# don't build userspace module
%bcond_with	verbose		# verbose build (V=1)
%bcond_with	grsec_kernel	# build for kernel-grsecurity
#
%if %{with kernel} && %{with dist_kernel} && %{with grsec_kernel}
%define	alt_kernel	grsecurity
%endif
#
%ifarch sparc
%undefine	with_smp
%endif

%define		no_install_post_compress_modules	1

%define		iptables_ver	1.3.3

%define		_rel 52
Summary:	P2P - a netfilter extension to identify P2P filesharing traffic
Summary(pl):	P2P - rozszerzenie filtra pakietw identyfikujce ruch P2P
Name:		kernel%{_alt_kernel}-net-p2p
Version:	0.3.0a
Release:	%{_rel}@%{_kernel_ver_str}
License:	GPL
Group:		Base/Kernel
Source0:	http://dl.sourceforge.net/iptables-p2p/iptables-p2p-%{version}.tar.gz
# Source0-md5:	79832eb411003fb35f0c6a0985649c14
Patch0:		kernel-net-p2p-Makefile.patch
Patch1:		kernel-net-p2p-iptables.patch
URL:		http://sourceforge.net/projects/iptables-p2p/
%{?with_userspace:BuildRequires:	iptables-devel}
%if %{with kernel} && %{with dist_kernel}
BuildRequires:	kernel%{_alt_kernel}-module-build
BuildRequires:	rpmbuild(macros) >= 1.330
%endif
%{?with_dist_kernel:%requires_releq_kernel_up}
Requires(post,postun):	/sbin/depmod
Buildroot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
iptables-p2p is a P2P match module for iptables. It supports the
detection of the following protocols: FastTrack (KaZaa, Grokster,
...), eDonkey (eDonkey, eMule, ...), Direct Connect, Gnutella (regular
clients and Shareaza's gnutella 2), BitTorrent, OpenFT (giFT).

This package contains Linux kernel module.

%description -l pl
iptables-p2p to modu dopasowywania P2P dla iptables. Obsuguje
wykrywanie nastpujcych protokow: FastTrack (KaZaa, Grokster...),
eDonkey (eDonkey, eMule...), Direct Connect, Gnutella (zwykli klienci
oraz gnutella 2 Shareazy), BitTorrent, OpenFT (giFT).

Ten pakiet zawiera modu jdra Linuksa.

%package -n kernel%{_alt_kernel}-smp-net-p2p
Summary:	P2P - a netfilter extension to identify P2P filesharing traffic
Summary(pl):	P2P - rozszerzenie filtra pakietw identyfikujce ruch P2P
Release:	%{_rel}@%{_kernel_ver_str}
Group:		Base/Kernel
%{?with_dist_kernel:%requires_releq_kernel_smp}
Requires(post,postun):	/sbin/depmod

%description -n kernel%{_alt_kernel}-smp-net-p2p
iptables-p2p is a P2P match module for iptables. It supports the
detection of the following protocols: FastTrack (KaZaa, Grokster,
...), eDonkey (eDonkey, eMule, ...), Direct Connect, Gnutella (regular
clients and Shareaza's gnutella 2), BitTorrent, OpenFT (giFT).

This package contains Linux SMP kernel module.

%description -n kernel%{_alt_kernel}-smp-net-p2p -l pl
iptables-p2p to modu dopasowywania P2P dla iptables. Obsuguje
wykrywanie nastpujcych protokow: FastTrack (KaZaa, Grokster...),
eDonkey (eDonkey, eMule...), Direct Connect, Gnutella (zwykli klienci
oraz gnutella 2 Shareazy), BitTorrent, OpenFT (giFT).

Ten pakiet zawiera modu jdra Linuksa SMP.

%package -n iptables-p2p
Summary:	P2P - a netfilter extension to identify P2P filesharing traffic
Summary(pl):	P2P - rozszerzenie filtra pakietw identyfikujce ruch P2P
Release:	%{_rel}
Group:		Base/Kernel
Requires:	iptables

%description -n iptables-p2p
iptables-p2p is a P2P match module for iptables. It supports the
detection of the following protocols: FastTrack (KaZaa, Grokster,
...), eDonkey (eDonkey, eMule, ...), Direct Connect, Gnutella (regular
clients and Shareaza's gnutella 2), BitTorrent, OpenFT (giFT).

%description -n iptables-p2p -l pl
iptables-p2p to modu dopasowywania P2P dla iptables. Obsuguje
wykrywanie nastpujcych protokow: FastTrack (KaZaa, Grokster...),
eDonkey (eDonkey, eMule...), Direct Connect, Gnutella (zwykli klienci
oraz gnutella 2 Shareazy), BitTorrent, OpenFT (giFT).

%prep
%setup -q -n iptables-p2p-%{version}
%patch0 -p1
%patch1 -p1

%build
%if %{with userspace}
# iptables module
# IPTABLES_VERSION=`rpm -q --queryformat '%{V}' iptables`
IPTABLES_VERSION="%{iptables_ver}"
cat << 'EOF' > iptables/Makefile
CC		= %{__cc}
CFLAGS		= %{rpmcflags} -fPIC -DIPTABLES_VERSION=\"%{iptables_ver}\"
#"-vim
INCPATH		= -I../common
LD		= %{__ld}
.SUFFIXES:	.c .o .so
.c.o:
		$(CC) $(CFLAGS) $(INCPATH) -c -o $@ $<
.o.so:
		$(LD) -shared -o $@ $<
all:		libipt_p2p.so
EOF
%{__make} -C iptables
%endif

%if %{with kernel}
# kernel module(s)
cp common/ipt_p2p.h kernel
%build_kernel_modules -C kernel -m ipt_p2p
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with userspace}
install -d $RPM_BUILD_ROOT%{_libdir}/iptables
install iptables/libipt_p2p.so $RPM_BUILD_ROOT%{_libdir}/iptables
%endif

%if %{with kernel}
%install_kernel_modules -m kernel/ipt_p2p -d kernel/net/ipv4/netfilter
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post
%depmod %{_kernel_ver}

%postun
%depmod %{_kernel_ver}

%post -n kernel%{_alt_kernel}-smp-net-p2p
%depmod %{_kernel_ver}smp

%postun -n kernel%{_alt_kernel}-smp-net-p2p
%depmod %{_kernel_ver}smp

%if %{with kernel}
%files
%if %{with up} || %{without dist_kernel}
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}/kernel/net/ipv4/netfilter/*
%endif

%if %{with smp} && %{with dist_kernel}
%files -n kernel%{_alt_kernel}-smp-net-p2p
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}smp/kernel/net/ipv4/netfilter/*
%endif
%endif

%if %{with userspace}
%files -n iptables-p2p
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/iptables/*.so
%endif

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: p2p.spec,v $
Revision 1.23.2.6  2007/06/04 08:09:08  glen
- rel 52 (2.6.16.52)

Revision 1.23.2.5  2007/05/11 06:38:50  glen
- rel 51 (2.6.16.51)

Revision 1.23.2.4  2007/05/08 12:10:09  glen
- rel 50 (kernel 2.6.16.50)

Revision 1.23.2.3  2007/04/25 22:10:56  glen
- rel 13 (kernel 2.6.16.49)

Revision 1.23.2.2  2007/03/27 22:17:30  glen
- rel 12 (kernel 2.6.16.45)

Revision 1.23.2.1  2007/03/15 23:14:24  glen
- rel 11

Revision 1.23  2007/01/23 18:28:32  hawk
- release 10

Revision 1.22  2006/12/08 13:59:46  hawk
- reverted "use rpmldflags" from previous revision, breaks build
- workaround for builder automation to allow building against
  kernel-grsecurity (via bcond)
- release 9

Revision 1.21  2006/11/23 21:48:32  sparky
- use rpmldflags
- use -C in make and module building

Revision 1.20  2006/11/23 20:05:59  hawk
- use %build_kernel_modules, %install_kernel_modules
- alt_kernel support
- release 8

Revision 1.19  2006/04/12 11:43:24  glen
- adapterized, use 'EOF'

Revision 1.18  2006/03/11 12:27:02  arekm
- rel 7

Revision 1.17  2006/01/12 19:49:24  arekm
- rel 6

Revision 1.16  2006/01/12 19:35:20  arekm
- rel 5; hardcode iptables ver; fix ppc/sparc

Revision 1.15  2005/12/31 10:50:36  andree
- added iptables version detection

Revision 1.14  2005/12/31 10:26:47  andree
- change iptables version to 1.3.3
- rel 5

Revision 1.13  2005/12/08 22:16:52  arekm
- rel 4

Revision 1.12  2005/11/27 19:43:25  arekm
- rel 3

Revision 1.11  2005/09/15 18:25:05  sparky
- prepared for kernel >= 2.6.13: link Module.symvers

Revision 1.10  2005/04/12 21:44:01  andree
- rel. 2 STBR

Revision 1.9  2005/04/12 14:01:58  andree
- post/pre fixes for smp

Revision 1.8  2005/04/12 13:33:45  andree
- added -iptables.patch (allow build on 1.3.1)
- allow build on kernel2.6
- updated url

Revision 1.7  2004/09/01 16:11:10  adamg
- kill pld.org.pl leftovers

Revision 1.6  2004/08/05 19:16:32  gotar
- removed _orig_name macro, it doesn't make any sense,
- consider renaming to p2p.spec (the same way as ipp2p.spec had).

Revision 1.5  2004/06/29 22:38:57  gotar
- s/filtru/filtra/

Revision 1.4  2004/03/25 19:05:42  pluto
- release 1.

Revision 1.3  2004/03/15 21:33:43  qboosh
- descriptions from URL

Revision 1.2  2004/03/14 19:35:14  pluto
- md5.

Revision 1.1  2004/03/14 19:32:48  pluto
- kernel-net-ipt_p2p.spec -> kernel-net-p2p.spec
- updated to 0.3.0a.
